Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.uix
Class PrimitiveTypes

`java.lang.Object
oracle.jbo.uicli.uix.PrimitiveTypes`

public final class PrimitiveTypes
extends java.lang.Object

Method Summary
`static java.lang.Object[]` | `getArray(java.lang.Object arrayInstance)`
`static boolean` | `isArray(java.lang.Class javaClass)`
`static boolean` | `isBoolean(java.lang.Class javaClass)`
`static boolean` | `isClob(java.lang.Class javaClass)`
`static boolean` | `isComposite(java.lang.Class javaClass)`
`static boolean` | `isDate(java.lang.Class javaClass)`
`static boolean` | `isMedia(java.lang.Class javaClass)`
`static boolean` | `isNumber(java.lang.Class javaClass)`
`static boolean` | `isPrimitive(java.lang.Class javaClass)`
`static boolean` | `isRowID(java.lang.Class javaClass)`
`static boolean` | `isString(java.lang.Class javaClass)`
`static boolean` | `isStruct(java.lang.Class javaClass)`
`static boolean` | `isTimestamp(java.lang.Class javaClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isBoolean

    public static boolean isBoolean(java.lang.Class javaClass)

### isDate

    public static boolean isDate(java.lang.Class javaClass)

### isTimestamp

    public static boolean isTimestamp(java.lang.Class javaClass)

### isNumber

    public static boolean isNumber(java.lang.Class javaClass)

### isMedia

    public static boolean isMedia(java.lang.Class javaClass)

### isRowID

    public static boolean isRowID(java.lang.Class javaClass)

### isArray

    public static boolean isArray(java.lang.Class javaClass)

### isString

    public static boolean isString(java.lang.Class javaClass)

### isPrimitive

    public static boolean isPrimitive(java.lang.Class javaClass)

### isComposite

    public static boolean isComposite(java.lang.Class javaClass)

### isStruct

    public static boolean isStruct(java.lang.Class javaClass)

### isClob

    public static boolean isClob(java.lang.Class javaClass)

### getArray

    public static java.lang.Object[] getArray(java.lang.Object arrayInstance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.